# $Id: perl-Email-MessageID.spec 5672 2007-08-02 18:40:24Z dries $
# Authority: dries
# Upstream: Casey West <casey$geeknest,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Email-MessageID

Summary: Generate world unique message-ids
Name: perl-Email-MessageID
Version: 1.351
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Email-MessageID/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Email/Email-MessageID-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Message-ids are optional, but highly recommended, headers that identify
a message uniquely. This software generates a unique message-id. This
module generates world unique message-ids.

This package contains the following Perl module:

    Email::MessageID

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README
%doc %{_mandir}/man3/Email::MessageID.3pm*
%dir %{perl_vendorlib}/Email/
#%{perl_vendorlib}/Email/MessageID/
%{perl_vendorlib}/Email/MessageID.pm

%changelog
* Tue Nov 06 2007 Dag Wieers <dag@wieers.com> - 1.351-1 - 5672+/dries
- Updated to release 1.351.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 1.35-1
- Updated to release 1.35.

* Sun Jan  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.31-1
- Initial package.
